.careployee-training-plan {
    &__image {
        display: block !important;
        img {
            display: block !important;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
            width: 100%;
            object-fit: cover;
            width: 90px;
            height: 80px;
            border-radius: 12px;
        }
    }

    &__cover-image {
        img {
            width: 100%;
        }
    }

    &__play-btn {
        &:hover {
            transform: scale(1.1);
            animation: scaleBtn 0.5 ease-in-out;
        }
    }

    &__popup {
        .MuiDialog-paper {
            padding: 0;
        }

        &__menubar {
            width: 100%;
            background: #cbab70;
            display: block !important;
            margin-bottom: 12px;
            padding-top: 4px;
            padding-left: 6px;
            min-height: 40px;
        }
    }
}

.loader-wrapper {
    background: black;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1000;
    opacity: 0.8;
    margin-top: -30px;
    margin-left: -30px;
    text-align: center;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    overflow: hidden;
}

.loader {
    border: 8px solid #f3f3f3; /* Light grey */
    border-top: 8px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.careployee-cards {
    cursor: pointer;

    &:hover {
        transform: scale3d(1.02, 1.02, 1);
        transition: all 0.28s ease-in-out;
    }

    &__image {
        display: block !important;
        text-align: center !important;
        justify-content: center !important;

        img {
            height: 220px;
        }
    }

    .MuiTypography {
        color: white;
    }

    &__box {
        cursor: pointer !important;
        position: relative !important;

        &__most-used {
            position: absolute;
            top: -14px;
            left: 5px;
            z-index: 100;

            background: transparent !important;
            &--recipes {
                top: -20px;
            }

            &--seminare {
                left: 0;
                top: -25px;
                font-size: 30px;
            }

            &--mental-health {
                left: 2px;
                top: -11px;
                font-size: 30px;
            }
        }
    }
}

.careployee-cards__most-used__wrapper {
    position: relative;
}

nav {
    .MuiListItemButton-root {
        border-radius: 24px;
    }
}

.careployee__elements {
    &__image-backdrop {
        position: relative !important;
        background-position: center;
        background-size: cover;
        * {
            z-index: 2;
        }

        &::before {
            background: black;
            opacity: 0.4;
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: 1;
        }
    }
}

.emoji {
    display: block;
    text-align: center;
    font-size: 5rem;
    line-height: 5rem;
    transform: scale(0.5);
    animation: scaleCup 2s infinite alternate;
}

@keyframes scaleCup {
    0% {
        transform: scale(0.6);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes scaleBtn {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(1.1);
    }
}
